[![js-semistandard-style](https://img.shields.io/badge/code%20style-semistandard-brightgreen.svg?maxAge=60&style=flat-square)](https://github.com/Flet/semistandard)
[![Build Status](https://img.shields.io/travis/redom/redom/master.svg?maxAge=60&style=flat-square)](https://travis-ci.org/redom/redom?branch=master)
[![npm](https://img.shields.io/npm/v/redom.svg?maxAge=60&style=flat-square)](https://www.npmjs.com/package/redom)
[![npm](https://img.shields.io/npm/l/redom.svg?maxAge=60&style=flat-square)](https://github.com/redom/redom/blob/master/LICENSE)
[![Join the chat at https://gitter.im/pakastin/redom](https://badges.gitter.im/pakastin/redom.svg)](https://gitter.im/pakastin/redom?utm_source=badge&utm_medium=badge&utm_campaign=pr-badge&utm_content=badge)
[![Twitter Follow](https://img.shields.io/twitter/follow/pakastin.svg?style=social&maxAge=60)](https://twitter.com/pakastin)
[![Twitter Follow](https://img.shields.io/twitter/follow/redomjs.svg?style=social&maxAge=60)](https://twitter.com/redomjs)

[![RE:DOM](https://redom.js.org/img/title.png)](https://redom.js.org)

# RE:DOM

Develop web apps with 100 % JavaScript and web standards. 🚀

https://redom.js.org

## Introduction

RE:DOM is a tiny (2 KB) UI library by [Juha Lindstedt](https://github.com/pakastin) and [contributors](https://github.com/redom/redom/graphs/contributors), which adds some useful helpers to create DOM elements and keeping them in sync with the data.

Because RE:DOM is so close to the metal and **doesn't use virtual dom**, it's actually **faster** and uses **less memory** than almost all virtual dom based libraries, including React ([benchmark](https://rawgit.com/krausest/js-framework-benchmark/master/webdriver-ts-results/table.html)).

It's also easy to create **reusable components** with RE:DOM.

Another great benefit is, that you can use just **pure JavaScript**, so no complicated templating languages to learn and hassle with.

## Installing
```
npm i redom
```

## Get started
- [Documentation](https://redom.js.org/documentation)
- ["Minimum viable view library"](https://www.youtube.com/watch?v=0nh2EK1xveg) - talk @ HelsinkiJS - see what's happening under the hood

## Tools
- [NO:DOM](https://github.com/redom/nodom) (server-side rendering)
- [Project generator](https://github.com/redom/redom-cli)
- [Dev tools for Chrome](https://github.com/redom/redom-devtools)
- [Babel RE:DOM JSX transform](https://github.com/tomerigal/babel-plugin-transform-redom-jsx)

## Performance
- [RE:DOM is one of the fastest UI library out there.](https://rawgit.com/krausest/js-framework-benchmark/master/webdriver-ts-results/table.html)

## Links
- [Product Hunt](https://www.producthunt.com/posts/re-dom)

## Open source
- License: [MIT](https://github.com/redom/redom/blob/master/LICENSE)
